#include <start.h>


#include "inc/Android.h"
#include "inc/Flash.h"
#include "inc/UART.h"

#include <inc/communication_protocol.h>
#include <inc/thread.h>
#include "inc/uart_dev.h"
#include "inc/thread_communication.h"



/*
 * 硬件初始化函数
 *
 *
 */
void hareware_init()
{
    android_PowerCtrl_Init();
    android_PowerCtrl_Open();

//    SPI_Flash_TEST();

}

/*
 * 线程初始化函数
 *
 *
 */
void software_init()
{
    uart_all_dev_init();
    Send_mq_Init();
    Recv_thread_Init();
    Send_thread_Init();

}

/*
 * 启动函数
 *
 *
 */
void app_star()
{
    hareware_init();
    software_init();
}



